package com.zjrs.zwnw.sxgl.bpo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.sxgl.dto.SxExportQueryDTO;
import com.zjrs.zwnw.sxgl.dto.SxpzxxXsUpdateDTO;
import com.zjrs.zwnw.sxgl.dto.SxtempQueryDTO;

import jakarta.servlet.http.HttpServletResponse;
import java.io.InputStream;
import java.util.Map;

public interface JcsxqdkBPO {
    //获取本次导入的结果统计数据
    public PageResult getDrjgtj(SxtempQueryDTO dto, int page, int rows);

    //获取导入结果分页list
    public PageResult getDrjgList(SxtempQueryDTO dto, int page, int rows);

    //导出事项结果表
    public void exportSx(SxExportQueryDTO dto, HttpServletResponse res);

    //导入事项
    public Map<String, String> importSx(InputStream is) throws Exception;

    //保存事项基本信息
    public Map<String, String> saveSxjbxx(SxpzxxXsUpdateDTO dto);
}
